# Uses of Class
org.apache.qpid.proton.amqp.transport.Disposition

Packages that use Disposition
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of Disposition in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Disposition
Modifier and Type
Method
Description
`Disposition`
Disposition.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Disposition
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleDisposition(Disposition disposition, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Disposition
Modifier
Constructor
Description
``
`Disposition(Disposition other)`

## Uses of Disposition in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return Disposition
Modifier and Type
Method
Description
`Disposition`
DispositionType.`newInstance(Object described)`
`Disposition`
FastPathDispositionType.`readValue()`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type Disposition
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Disposition>>`
FastPathDispositionType.`getAllEncodings()`
`TypeEncoding<Disposition>`
FastPathDispositionType.`getCanonicalEncoding()`
`TypeEncoding<Disposition>`
FastPathDispositionType.`getEncoding(Disposition disposition)`
`Class<Disposition>`
DispositionType.`getTypeClass()`
`Class<Disposition>`
FastPathDispositionType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type Disposition
Modifier and Type
Method
Description
`TypeEncoding<Disposition>`
FastPathDispositionType.`getEncoding(Disposition disposition)`
`protected List`
DispositionType.`wrap(Disposition val)`
`void`
FastPathDispositionType.`write(Disposition disposition)`

## Uses of Disposition in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Disposition
Modifier and Type
Method
Description
`void`
TransportImpl.`handleDisposition(Disposition disposition, Binary payload, Integer channel)`